Configuration:
  name: Default

  Properties:
    Property:
      - name: logs
        value: "logs"
      - name: logfile
        value: "postchain-benchmark"
      - name: logpattern
        value: "%-5level %d{yyyy-MM-dd HH:mm:ss.SSS} [%t] %c{1} -%notEmpty{ [%notEmpty{node=%.-8X{node.pubkey}}%notEmpty{, bc-rid=%.-2X{blockchainRID}:%.4X{blockchainRID}}%notEmpty{, chain-id=%X{chainIID}}]:} %msg%n"

  Appenders:
    Console:
      - name: ConsoleAppender
        PatternLayout:
          pattern: ${logpattern}
    File:
      - name: FileAppender
        fileName: "${logs}/${logfile}.log"
        PatternLayout:
          pattern: ${logpattern}

  Loggers:
    Root:
      level: warn
      AppenderRef:
        - ref: FileAppender
        - ref: ConsoleAppender

    Logger:
      - name: net.postchain
        level: debug
        additivity: false
        AppenderRef:
          - ref: FileAppender
